Bug 35536 - [SNB]Game:world of padman is black screen when it manually exits on HuronRiver(rev09)
[SNB]Game:world of padman is black screen when it manually exits on HuronRive...
Status: RESOLVED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
All Linux (All)
: medium major
Assigned To: Chris Wilson
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 02:54 UTC by Ouping Zhang
Modified: 2012-04-01 13:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ouping Zhang 2011-03-22 02:54:35 UTC
System Environment:
--------------------------
Libdrm:         (master)2.4.24-6-g3b04c73650b5e9bbcb602fdb8cea0b16ad82d0c0
Mesa:           (master)9b13c988acbf56018c52724e902a15c92ad89db3
Xserver:        (master)xorg-server-1.10.0-120-gefcb7275ce5de651f91ba4ff8bb227dfb68bb154
Xf86_video_intel:  (master)2.14.901-4-gee740778f5d5355c04f6fc4564f598993b106d62
Kernel: (drm-intel-next)47ae63e0c2e5fdb582d471dc906eb29be94c732f

Bug detailed description:
-------------------------
Game:world of padman is black screen when it manually exits on HuronRiver(rev09). But if changing the test machine resolution, game can normally exit. my test machine resolution list as follows: 
1366x768(default)
1024x768 
800x600 
640x480
the bug can reproduce using the default resolution(1366x768).
Comment 1 Chris Wilson 2011-03-24 10:37:41 UTC
Would be worth checking with drm-intel-fixes.
Comment 2 Chris Wilson 2011-04-02 01:36:01 UTC
Is this another of the invalid vblanks? Does Xorg.log contain any warnings?
Comment 3 Ouping Zhang 2011-04-06 22:18:31 UTC
System Environment:
--------------------------
Libdrm:         (master)2.4.24-6-g3b04c73650b5e9bbcb602fdb8cea0b16ad82d0c0
Mesa:           (7.10)d525a1b4686cf81eeab79c2fda78e756394d8e47
Xserver:        (master)xorg-server-1.10.0
Xf86_video_intel:  (master)2.14.901-4-gee740778f5d5355c04f6fc4564f598993b106d62
Kernel: (drm-intel-fixes)467cffba85791cdfce38c124d75bd578f4bb8625

After checking with drm-intel-fixes, the issue can be reproduced.
what's more, it seems to have something to do with compiz. 
If closing compiz(using standard), the issue can be reproduced both drm-intel-next and drm-intel-fixes kernel.
If not, the the issue can't be reproduced. 

(In reply to comment #1)
> Would be worth checking with drm-intel-fixes.
Comment 4 Chris Wilson 2011-07-18 07:47:03 UTC
Stacktraces from the usual suspects (compiz/Xorg) when it goes black.

I have yet to see this myself,though a similar condition is fixed by:

http://cgit.freedesktop.org/~ickle/xserver/commit/?id=f0089d21cdf87a1078aaa7f27d1827ee05fae7a6
Comment 5 Chris Wilson 2012-02-08 12:23:00 UTC
Mass status change to NEEDINFO based on presence of NEEDINFO keyword. Please reopen if you can still reproduce the bug and are able to provide the information requested, thanks.
Comment 6 Ouping Zhang 2012-02-08 18:16:38 UTC
System Environment:
--------------------------
Libdrm:         (master)2.4.31
Mesa:           (master)7c857a6b159debf76d4661f494fd2c97d205b5b1
Xserver:                (master)xorg-server-1.11.99.902-3-g85cecd981191f9c3dab0fb13310d91eff643d423
Kernel: (drm-intel-testing)396ee23db6b76354e487fd2cfdacbd989442f81d

with the latest mesa to verify, the bug have been fixed.
(In reply to comment #5)
> Mass status change to NEEDINFO based on presence of NEEDINFO keyword. Please
> reopen if you can still reproduce the bug and are able to provide the
> information requested, thanks.
Comment 7 Daniel Vetter 2012-04-01 13:41:33 UTC
According to comment #6, this is fixed with recent mesa.